<html><head>
	<title>Comandos Bash e Git</title>
</head>
<body>

<h1 id="topo">Sumário</h1>

<ol>
	<li> <!-- Item 1 -->
	<h2>
	
	<a href="comandos_bash.html">Comandos Bash</a>
	
	</h2>
		<ol type="a">
			<li><b>pwd</b></li>
			<li><b>cd</b></li>
			<li><b>rm</b></li>
			<li><b>rmdir</b></li>
			<li><b>touch</b></li>
			<li><b><a href="#comando_clear" >clear</a></b></li>	
		</ol>
	</li>
	
	
	
	<li> <!-- Item 1 -->
	<h2>
	<a href="./comandos/git/comandos_git.html">Comandos GIT</a>
	</h2>
	<ol type="a">
		<li><b>clone</b></li>
		<li><b>status</b></li>
		<li><b> <a href="#add">add</a></b></li>
		<li><b>commit</b></li>
		<li><b>push</b></li>
		<li><b><a href="#comando_pull"> pull</a> </b></li>
	</ol>
		
	
	</li>


</ol>

<a href="http://www.google.com.br">Pesquisar no Google</a>




<h1>Comandos essenciais do bash</h1>

<hr />
<h3>pwd</h3>
<p><i>Utlizadado para informar ao usuário em qual diretório ele se encontra no momento.</i></p>
<b>Exemplo:</b><br />
<img src="pwd.PNG" />


<h3>cd</h3>
<p><i>Utilizado para alterar entre diretorios.</i></p>
<b>Exemplo:</b></b><br />
<img src="cd.PNG" />

<h3>rm</h3>
<p><i>Utilizado para remover arquivos ou diretorios. Pode se utilizar paramentros para&nbsp;</i><b><u>-Rf</u></b><i>&nbsp; para remover todos arquivos juntamente com o diretorio.</i></p>
<b>Exemplo:</b><br />
<img src="rm.PNG" />

<h3>rmdir</h3>
<p><i>Utilizado para remoção de diretórios. Caso o diretório contenha arquivos o mesmo não poderá ser removido.</i></p>
<b>Exemplo:</b><br />
<img src="rmdir.PNG" />

<h3>touch</h3>
<p><i>Utilizado para criar arquivos.</i></p>
<b>Exemplo:</b><br />
<img src="touch.PNG" />

<h3 id="comando_clear">clear</h3>
<p><i>Utilizado para limpar o terminal.</i></p>
<b>Exemplo:</b><br />
<img src="clear.PNG" />


<h1>Comando básicos do git</h1>
<hr />


<h3>clone</h3>
<p><i>Utilizando para clonar um repositório.</i></p>
<b>Exemplo:</b><br />
<img src="clone.PNG" />

<h3>status</h3>
<p><i>Mostra o estado do repositório. Arquivos modificados , incluidos , deletados e renomeados.</i></p>
<b>Exemplo:</b><br />
<img src="status.PNG" />

<h3 id="add">add</h3>
<p><i>Adiciona as alterações  no stash.</i></p>
<b>Exemplo:</b><br />
<img src="add.PNG" />

<h3>commit</h3>
<p><i>"Commita" (efetiva) as alterações adicionadas no stash. Sempre no commit uma mensagem de informação deve ser informada.</i></p>
<b>Exemplo:</b><br />
<img src="commit.PNG" />

<h3>push</h3>
<p><i>Envia as alterações , commits efetuados, para um repositório remoto.</i></p>
<b>Exemplo:</b><br />
<img src="push.PNG" />

<h3 id="comando_pull">pull</h3> 
<p ><i>Puxa as alterações de um repositório remoto.</i></p>
<b>Exemplo:</b><br />
<img src="pull.PNG" /> <br />
<a href="#topo">Topo</a>




















</body></html>